JNA API 3.3.0

## com.sun.jna.platform.win32
Class WinUser.MOUSEINPUT

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.WinUser.MOUSEINPUT

Direct Known Subclasses:
  WinUser.MOUSEINPUT.ByReference

Enclosing interface:
  WinUser

    public static class WinUser.MOUSEINPUT

extends Structure

Contains information about a simulated mouse event.

Nested Class Summary
`static class` | `WinUser.MOUSEINPUT.ByReference`

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByValue`

Field Summary
`BaseTSD.ULONG_PTR` | `dwExtraInfo`
`WinDef.DWORD` | `dwFlags`
`WinDef.LONG` | `dx`
`WinDef.LONG` | `dy`
`WinDef.DWORD` | `mouseData`
`WinDef.DWORD` | `time`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`WinUser.MOUSEINPUT()`
`WinUser.MOUSEINPUT(Pointer memory)`

Method Summary

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### dx

    public WinDef.LONG dx

### dy

    public WinDef.LONG dy

### mouseData

    public WinDef.DWORD mouseData

### dwFlags

    public WinDef.DWORD dwFlags

### time

    public WinDef.DWORD time

### dwExtraInfo

    public BaseTSD.ULONG_PTR dwExtraInfo

Constructor Detail

### WinUser.MOUSEINPUT

    public WinUser.MOUSEINPUT()

### WinUser.MOUSEINPUT

    public WinUser.MOUSEINPUT(Pointer memory)

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.